## xfig 3.2.9

=== debian/changelog ===
xfig (1:3.2.9-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:38:05 +1100

xfig (1:3.2.9-2build2) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 01:00:55 +0000

xfig (1:3.2.9-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:44:25 +0000

xfig (1:3.2.9-2) unstable; urgency=medium

  * 08_print_realloc: Sanitize call to realloc() in print dialog.
  * Update copyright of debian/rules and update debian/copyright with help
    of licenserecon.
  * 09_activelayers: Fix exporting only active layers.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 03 Jan 2024 20:55:18 +0100

xfig (1:3.2.9-1) unstable; urgency=medium

  * New upstream version 3.2.9, which uses xft (Closes: #210362, #298831).
  * Update all patches to new version.
  * 07_max_recent_files, 08_scale_by_placement, 09_pdf_read,
    10_large-userscale, 11_cancel-zoom are now incorporated upstream.
  * Add Build-Depends: libxft-dev.
  * Undo locale xfig-wrapper, which is no longer needed with Xft.
  * Create xfig-title.png and xfig-ref.pdf via make documentation now.
  * Update to Standards-Version 4.6.2 (no changes).
  * Preserve tests/testsuite from source package (Closes: #1045872).
  * Remove gimp from Suggests, since we use xdg-open now.
  * Remove gsfonts-x11 as fonts-urw-base35 alternative.
  * Remove m4/ax_check_link_flag.m4 deleted file from d/copyright.
  * 07_occurred: Fix typo in the word "occurred".
  * Update lintian-overrides line number in man page.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 25 Aug 2023 11:36:34 +0200
