## xfig 3.2.9a

=== debian/changelog ===
xfig (1:3.2.9a-4) unstable; urgency=medium

  * 1[1-8]_prottypes[1-8].patch: Fix prototypes required by GCC-15
    (Closes: #1098137).
  * 19_boolean.patch: Fix boolean required by GCC-15.
  * Update FSF address in debian/copyright.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 05 Sep 2025 17:01:31 +0200

xfig (1:3.2.9a-3) unstable; urgency=medium

  * 09_translatetexonly: Apply translations to the text widget only
    (Closes: #342512).
  * 10_invaliddir: return on invalid directory listings.
  * Declare compliance with Debian Policy 4.7.2.
  * Update years of packaging copyright.
  * Set upstream metadata fields: Repository-Browse.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 26 Mar 2025 10:37:52 +0100

xfig (1:3.2.9a-2) unstable; urgency=medium

  * 07_emptytext: fix crash with empty text object.
  * 08_emptylines: Allow empty lines in comments.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 24 Jan 2025 10:57:41 +0100

xfig (1:3.2.9a-1) unstable; urgency=medium

  * New upstream version 3.2.9a.
  * The following patches are now incorporated upstream: 07_occurred,
    08_print_realloc, 09_activelayers, 10_manual_backslash,
    11_printactivelayers, 12_dimensionlinecustomtext.
  * Update all other patches to new version.
  * Update debian/copyright.
  * debian/xfig.appdata.xml replaced by org.xfig.xfig.metainfo.xml.
  * xfig.desktiop renamed upstream.
  * Add libfontconfig-dev to d/t/control dependencies for testsuite.
  * Run autopkgtest with xvfb now.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 31 Dec 2024 13:21:37 +0100

xfig (1:3.2.9-4) unstable; urgency=medium

  * 12_dimensionlinecustomtext: Fix bounds of dimension line with custom
    text (Closes: #1079391).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 02 Sep 2024 08:22:33 +0200

xfig (1:3.2.9-3) unstable; urgency=medium

  * 10_manual_backslash: Correct encoding of backslash in man page.
  * Avoid building doc/xfig_man.html.in in build-arch.
  * 11_printactivelayers: Print only active layers if demanded
    (Closes: #1066830).
  * Add xfig.appdata.xml metainfo file initially by Hans de Goede and
    updated by Thomas Loimer.
  * Update to Standards-Version 4.7.0 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 18 May 2024 12:53:04 +0200

xfig (1:3.2.7a-3+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.

  [ Roland Rosenfeld ]
  * 10_CVE-2021-40241: Avoid buffer overflow in LANG (CVE-2021-40241)
    (Closes: #992395).

 -- Anton Gladky <gladk@debian.org>  Sun, 05 Mar 2023 10:48:13 +0100
