=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: xfig
+Maintainer: Roland Rosenfeld <roland@debian.org>
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
                fig2dev,
@@ -21,18 +19,19 @@
 Build-Depends-Indep: groff <!nodoc>,
                      htmldoc <!nodoc>,
                      man-db <!nodoc>
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/xfig
+Vcs-Git: https://salsa.debian.org/debian/xfig.git
 Homepage: https://sourceforge.net/projects/mcj/
-Vcs-Git: https://salsa.debian.org/debian/xfig.git
-Vcs-Browser: https://salsa.debian.org/debian/xfig
 Rules-Requires-Root: no
 
 Package: xfig
 Architecture: any
-Depends: fig2dev,
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         fig2dev,
          sensible-utils,
-         xdg-utils,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         xdg-utils
 Recommends: xfig-libs
 Suggests: cups-client | lpr,
           fonts-urw-base35 (>= 20200910-4),
@@ -56,8 +55,8 @@
  which contains several clip art libraries.
 
 Package: xfig-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends}
 Suggests: firefox-esr | www-browser,
           xfig,
@@ -75,9 +74,9 @@
 
 Package: xfig-libs
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: xfig
-Multi-Arch: foreign
 Description: XFig image libraries and examples
  XFig is a menu-driven tool that allows the user to draw and
  manipulate objects interactively in an X window.  The resulting
