=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (C) 1999-2023 Roland Rosenfeld <roland@debian.org>
+# (C) 1999-2024 Roland Rosenfeld <roland@debian.org>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -48,6 +48,8 @@
 	dh_auto_configure -- --enable-splash --enable-tablet
 
 override_dh_auto_build-arch:
+#	Avoid building doc/xfig_man.html.in here (it should be in indep):
+	touch doc/xfig_man.html.in
 	dh_auto_build
 #	Build test programs, despite of "nocheck":
 	(cd tests; make test1 test2 test3 test4)
