=== debian/tests/control ===
Tests: xfig-testsuite
Restrictions: rw-build-tree
Depends: autoconf,
         debhelper,
         desktop-file-utils,
         libfontconfig-dev,
         xauth,
         xfig,
         xvfb
