=== debian/watch ===
# See uscan(1) for format

version=4

opts="uversionmangle=s/-(alpha|beta|rc)/~$1/" \
https://sf.net/mcj/ .*/xfig@ANY_VERSION@@ARCHIVE_EXT@
